diff --git a/src/backend/main/main.c b/src/backend/main/main.c
index 2f07a58..51f0884 100644
--- a/src/backend/main/main.c
+++ b/src/backend/main/main.c
@@ -262,8 +262,16 @@ startup_hacks(const char *progname)
 		/* In case of general protection fault, don't show GUI popup box */
 		SetErrorMode(SEM_FAILCRITICALERRORS | SEM_NOGPFAULTERRORBOX);
 	}
+
 #endif   /* WIN32 */
 
+#ifdef _MSC_VER
+
+	/* By default MSVC has a 3 digit exponent. */
+	_set_output_format(_TWO_DIGIT_EXPONENT);
+
+#endif   /* _MSC_VER */
+
 	/*
 	 * Initialize dummy_spinlock, in case we are on a platform where we have
 	 * to use the fallback implementation of pg_memory_barrier().
